Package com.google.gwt.cell.client

## Class ImageLoadingCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<java.lang.String>
  - - com.google.gwt.cell.client.ImageLoadingCell

- All Implemented Interfaces:
    `Cell<java.lang.String>`

      public class ImageLoadingCell
      extends AbstractCell<java.lang.String>

  An `AbstractCell` used to render an image. A loading indicator is used until the image is fully loaded. The String value is the url of the image.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ImageLoadingCell.DefaultRenderers` | The default `SafeHtmlRenderers`.
    `static interface` | `ImageLoadingCell.Renderers` | The renderers used by this cell.
    `(package private) static interface` | `ImageLoadingCell.Resources` | The images used by the `ImageLoadingCell.DefaultRenderers`.
    `(package private) static interface` | `ImageLoadingCell.Template` |

    - ### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

      `Cell.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageLoadingCell()` | Construct an `ImageResourceCell` using the `ImageLoadingCell.DefaultRenderers`.
    `ImageLoadingCell​(ImageLoadingCell.Renderers renderers)` | Construct an `ImageResourceCell` using the specified `SafeHtmlRenderers`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onBrowserEvent​(Cell.Context context, Element parent, java.lang.String value, NativeEvent event, ValueUpdater<java.lang.String> valueUpdater)` | Handle a browser event that took place within the cell.
    `void` | `render​(Cell.Context context, java.lang.String value, SafeHtmlBuilder sb)` | Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractCell

      `dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onEnterKeyDown, resetFocus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoadingCell

          public ImageLoadingCell()

      Construct an `ImageResourceCell` using the `ImageLoadingCell.DefaultRenderers`.

      The `ImageLoadingCell.DefaultRenderers` will be constructed using `GWT.create(Class)`, which allows you to replace the class using a deferred binding.

    - #### ImageLoadingCell

          public ImageLoadingCell​(ImageLoadingCell.Renderers renderers)

      Construct an `ImageResourceCell` using the specified `SafeHtmlRenderers`.
      Parameters:
        `renderers` - an instance of `Renderers`

  - ### Method Detail

    - #### onBrowserEvent

          public void onBrowserEvent​(Cell.Context context,
                                     Element parent,
                                     java.lang.String value,
                                     NativeEvent event,
                                     ValueUpdater<java.lang.String> valueUpdater)

      Description copied from class: `AbstractCell`
      Handle a browser event that took place within the cell. The default implementation returns null.

      If you override this method to add support for events, remember to pass the event types that the cell expects into the constructor.

      Specified by:
        `onBrowserEvent` in interface `Cell<java.lang.String>`
      Overrides:
        `onBrowserEvent` in class `AbstractCell<java.lang.String>`
      Parameters:
        `context` - the `Cell.Context` of the cell
        `parent` - the parent Element
        `value` - the value associated with the cell
        `event` - the native browser event
        `valueUpdater` - a `ValueUpdater`, or null if not specified

    - #### render

          public void render​(Cell.Context context,
                             java.lang.String value,
                             SafeHtmlBuilder sb)

      Description copied from interface: `Cell`
      Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

      Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

      Specified by:
        `render` in interface `Cell<java.lang.String>`
      Specified by:
        `render` in class `AbstractCell<java.lang.String>`
      Parameters:
        `context` - the `Cell.Context` of the cell
        `value` - the cell value to be rendered
        `sb` - the `SafeHtmlBuilder` to be written to